cURL
curl -X GET "https://api.smooth.sh/api/v1/task?l=10" \
-H "apikey: YOUR_API_KEY"import requests
url = "https://api.smooth.sh/api/v1/task"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://api.smooth.sh/api/v1/task', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"r": [
{
"id": "<string>",
"status": "waiting",
"output": "<unknown>",
"credits_used": 123,
"device": "desktop",
"live_url": "<string>",
"recording_url": "<string>",
"downloads_url": "<string>",
"created_at": 123,
"events": [
{
"name": "<string>",
"payload": {},
"id": "<string>",
"timestamp": 123
}
]
}
]
}Task
List Tasks
List all tasks for the authenticated user.
GET
/
task
cURL
curl -X GET "https://api.smooth.sh/api/v1/task?l=10" \
-H "apikey: YOUR_API_KEY"import requests
url = "https://api.smooth.sh/api/v1/task"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://api.smooth.sh/api/v1/task', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"r": [
{
"id": "<string>",
"status": "waiting",
"output": "<unknown>",
"credits_used": 123,
"device": "desktop",
"live_url": "<string>",
"recording_url": "<string>",
"downloads_url": "<string>",
"created_at": 123,
"events": [
{
"name": "<string>",
"payload": {},
"id": "<string>",
"timestamp": 123
}
]
}
]
}Authorizations
Query Parameters
Timestamp to paginate from (returns tasks created before this timestamp)
Limit number of results
Required range:
1 <= x <= 128Response
200 - application/json
List of tasks
Show child attributes
Show child attributes
⌘I